Debian Bug report logs - #695130
ITA: openmotif -- Open Motif

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Michael Stapelberg <stapelberg@debian.org>

Date: Tue, 4 Dec 2012 14:09:10 UTC

Owned by: Paul Gevers <elbrus@debian.org>

Severity: normal

Fixed in version motif/2.3.4-2

Done: Paul Gevers <elbrus@debian.org>

Bug is archived. No further changes may be made.

Outlook: Team maintenance in collab-maint repository on Alioth

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695130; Package wnpp. (Tue, 04 Dec 2012 14:09:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Tue, 04 Dec 2012 14:09:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: submit@bugs.debian.org
Cc: Stefan Bauer <stefan.bauer@cubewerk.de>
Subject: O: openmotif -- Open Motif
Date: Tue, 4 Dec 2012 15:06:25 +0100
Package: wnpp
Severity: normal

Orphaning all packages by Stefan Bauer.

As per http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=672926#29, he
no longer has time for any of his Debian packages.

-- 
Best regards,
Michael



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695130; Package wnpp. (Fri, 14 Dec 2012 13:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to BERTRAND Joël <joel.bertrand@systella.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 14 Dec 2012 13:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 695130@bugs.debian.org (full text, mbox):

From: BERTRAND Joël <joel.bertrand@systella.fr>
To: 695130@bugs.debian.org
Subject: Openmotif
Date: Fri, 14 Dec 2012 13:57:05 +0100
	Hello,

	I've seen that openmotif was orphaned. I can try to package new 
openmotif library (released in LGPL) as a cdesktopenenv prerequisite.

	Regards,

	JB



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695130; Package wnpp. (Sun, 23 Dec 2012 15:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <elbrus@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 23 Dec 2012 15:03:06 GMT) Full text and rfc822 format available.

Message #15 received at 695130@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: 695130@bugs.debian.org
Subject: Please retitle Orphan bug against openmotif if you intent to adopt
Date: Sun, 23 Dec 2012 15:58:38 +0100
[Message part 1 (text/plain, inline)]
Hi Joël,

If you intent to adopt openmotif, please retitle and own bug 695130, so
it shows up in the PTS [1]. I was looking into openmotif to make it
Multiarch for Wheezy, but if you are working on it, I leave you to it.
Do you think you can fix (apply the patch) 673690 soon, so it can still
go into Wheezy? It qualifies for the freeze exceptions [2], as multiarch
is a release goal. If not, I can make a fix for multiarch and let you
have the package afterwards.

Paul

[1] http://packages.qa.debian.org/o/openmotif.html
[2] http://release.debian.org/wheezy/freeze_policy.html

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695130; Package wnpp. (Sun, 23 Dec 2012 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <elbrus@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 23 Dec 2012 15:21:03 GMT) Full text and rfc822 format available.

Message #20 received at 695130@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: 695130@bugs.debian.org, BERTRAND Joël <joel.bertrand@systella.fr>
Subject: Openmotif licensed under a free license (HOORAY)
Date: Sun, 23 Dec 2012 16:19:26 +0100
[Message part 1 (text/plain, inline)]
Hi Joël,

[CC-ing you as I am not sure if you subscribed to the bug]

As the license of openmotif changed into a free license, I hereby offer
my help to get openmotif into shape again for Debian. I propose to do
this a team and put the packaging info on Alioth (if you agree of course).

I am co-maintainer of lesstif, the open source motif alternative, but as
the license of motif improved, I am considering asking retirement of
lesstif as a release goal for jessy (the next Debian release).

What do you say?

Paul


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695130; Package wnpp. (Mon, 24 Dec 2012 11:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <elbrus@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 24 Dec 2012 11:03:03 GMT) Full text and rfc822 format available.

Message #25 received at 695130@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: debian-devel@lists.debian.org, 695130@bugs.debian.org
Subject: Re: openmotif is now LGPL, retirement of lesstif in jessie?
Date: Mon, 24 Dec 2012 12:01:37 +0100
[Message part 1 (text/plain, inline)]
Hi Graham,

On 24-12-12 10:41, Graham Inggs wrote:
> The openmotif package has recently been orphaned since the maintainer
> is MIA.

Not quite, the maintainer said he didn't have time anymore. It is a
detail anyway.

> I have been working on a new packaging of the LGPL motif from scratch
> using dh.

Why from scratch? Take the good things from the current package, but
indeed, I would like to switch to dh(1) as well. I am currently working
on getting the current package fit for multiarch and hardening enabled.

> I would like to see the openmotif package renamed to motif

What do others on this list think? I think openmotif as the source
package name is a fine, but I don't really care. The only thing that I
like about keeping the name is that the history of the package is better
linked in the PTS and such.

> and replace lesstif in jessie.

Let's call it migration to motif and retirement of lesstif.

> My motif package will be available in my Ubuntu PPA within the next
> day or two: https://launchpad.net/~ginggs/+archive/ppa

I do appreciate your effort, but currently Joël Bertrand is the one in
the orphan bug [1], stating his intent to adopt (although he forgot to
retitle and own the bug). I proposed to him (no response yet) to make
this a team effort, do you want to join? I really would like to get the
packaging in a VCS, e.g. on Alioth in the collab-maint project.

If he agrees, we could start with packaging the next version already in
experimental. Although of course, we should be focusing on releasing
Wheezy right now.

Paul

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=695130

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695130; Package wnpp. (Mon, 24 Dec 2012 23:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 24 Dec 2012 23:24:03 GMT) Full text and rfc822 format available.

Message #30 received at 695130@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: debian-devel@lists.debian.org
Cc: 695130@bugs.debian.org
Subject: Re: openmotif is now LGPL, retirement of lesstif in jessie?
Date: Tue, 25 Dec 2012 00:20:54 +0100
On Mon, Dec 24, 2012 at 12:01:37PM +0100, Paul Gevers wrote: 
> If he agrees, we could start with packaging the next version already in
> experimental. Although of course, we should be focusing on releasing
> Wheezy right now.

I would suggest then that you guys work togther and even might have a
look at this very related RFP [1] :).

Cheers,

Adrian

> [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=689098

-- 
 .''`.  John Paul Adrian Glaubitz
: :' :  Debian Developer - glaubitz@debian.org
`. `'   Freie Universitaet Berlin - glaubitz@physik.fu-berlin.de
  `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695130; Package wnpp. (Thu, 27 Dec 2012 16:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <elbrus@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 27 Dec 2012 16:39:03 GMT) Full text and rfc822 format available.

Message #35 received at 695130@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: Graham Inggs <graham.inggs@uct.ac.za>, 695130@bugs.debian.org, BERTRAND Joël <joel.bertrand@systella.fr>
Subject: Re: openmotif is now LGPL, retirement of lesstif in jessie?
Date: Thu, 27 Dec 2012 17:37:20 +0100
[Message part 1 (text/plain, inline)]
Hi Graham and Joël,

I moved this discussion off-list from devel, and hope you don't object.

On 26-12-12 01:06, Graham Inggs wrote:
> I would be happy to join a team effort.

Joël, as you can see, you have now two co-maintainers if you want. If
you don't object, my proposal is the following:

- Joël: you own and retitle bug 695130 appropriately.
- I assume you both don't have upload rights, so I will have to do that
  part, during the Wheezy freeze, we only target experimental.
- I create a git repository on Alioth [1]. I hope you like git, but if
  not we can agree on an other VCS.
- I can import as much of the history of openmotif as I can find [2].
- You both make to register on alioth [3] and become member of the
  collab-maint project [4]. Please let me know your alioth registration
  name, so I can send the mail as described on [1].
- We should agree on the name of the source package. Graham prefers
  motif i.s.o. openmotif :)
- Please make sure you both are subscribed to the PTS [5] for the
  package openmotif for the moment, and possibly to motif after upload.

Joël, to not let the enthusiasm of Graham die, I propose that we wait
for a week for your response, and in case of no response, I will start
with the proposal above, but will wait with uploading a new package.

Paul

[1] http://wiki.debian.org/Alioth/PackagingProject
[2] http://snapshot.debian.org/package/openmotif/
[3] https://alioth.debian.org/account/register.php
[4] https://alioth.debian.org/projects/collab-maint/
[5] http://packages.qa.debian.org/o/openmotif.html (left bottom)

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695130; Package wnpp. (Thu, 03 Jan 2013 05:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Graham Inggs <graham@nerve.org.za>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 03 Jan 2013 05:15:03 GMT) Full text and rfc822 format available.

Message #40 received at 695130@bugs.debian.org (full text, mbox):

From: Graham Inggs <graham@nerve.org.za>
To: Paul Gevers <elbrus@debian.org>, 695130@bugs.debian.org, BERTRAND Joël <joel.bertrand@systella.fr>
Subject: Re: openmotif is now LGPL, retirement of lesstif in jessie?
Date: Thu, 3 Jan 2013 07:10:11 +0200
[Message part 1 (text/plain, inline)]
Hi All

Paul: I saw your mail regarding my request to join collab-maint, thanks.

Besides my packaging of motif 2.3.4 I made available here:
https://launchpad.net/~ginggs/+archive/ppa/

I have also created another PPA for testing packages built against it here:
https://launchpad.net/~ginggs/+archive/motif

The good news is that most of the packages built and ran simply by changing
the build-depends on lesstif2-dev to libmotif-dev.
The were a few that required an additional build-depends on libxt-dev, and
then the odd ones that required build-depends on libxext-dev, libxp-dev or
libxft-dev.
I believe this is due to lesstif2-dev depending on just about every
libx*-dev package unnecessarily.

Other packages like pcb, paw and its dependent, cernlib, may need some
packages renamed; pcb-lesstif, libpawlib-lesstif3-dev,
libpawlib-lesstif3-gfortran and libpacklib-lesstif1-dev.

Should I proceed with filing wishlist bugs against the packages requiring
additional build-depends?

Regards
Graham
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695130; Package wnpp. (Thu, 03 Jan 2013 16:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <elbrus@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 03 Jan 2013 16:45:03 GMT) Full text and rfc822 format available.

Message #45 received at 695130@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: Graham Inggs <graham@nerve.org.za>
Cc: 695130@bugs.debian.org, BERTRAND Joël <joel.bertrand@systella.fr>
Subject: Re: openmotif is now LGPL, retirement of lesstif in jessie?
Date: Thu, 03 Jan 2013 17:39:13 +0100
[Message part 1 (text/plain, inline)]
> Paul: I saw your mail regarding my request to join collab-maint, thanks.

NP.

> I have also created another PPA for testing packages built against it here:
> https://launchpad.net/~ginggs/+archive/motif

Good. Nice to see that you take this seriously.

> The good news is that most of the packages built and ran simply by
> changing the build-depends on lesstif2-dev to libmotif-dev.

That is what I was hoping indeed.

> The were a few that required an additional build-depends on libxt-dev,
> and then the odd ones that required build-depends on libxext-dev,
> libxp-dev or libxft-dev.

I think it is good to note these for each package individually, indeed.
However, regarding libxp-dev, Debian actually wants to get rid of it
[1]. Not sure what to do with that. I guess (not checked yet) you also
build motif without xp support.

> I believe this is due to lesstif2-dev depending on just about every
> libx*-dev package unnecessarily.

Could very well be. I think it is good to clean this up then. But
please, lets wait until after the release of Wheezy, or we should make
it absolutely clear that the bug that you file is only going to need
solving after the release. It should not distract too many people at
this stage in time.

> Other packages like pcb, paw and its dependent, cernlib, may need some
> packages renamed; pcb-lesstif, libpawlib-lesstif3-dev,
> libpawlib-lesstif3-gfortran and libpacklib-lesstif1-dev.

I would say that that is up to the maintainers of these packages. But of
course we should let them know.

> Should I proceed with filing wishlist bugs against the packages
> requiring additional build-depends?

Hmm. At least you should wait until the package is in experimental. And
again, if you/we do that, you/we should make it absolutely clear that
until Wheezy release this should only be done in experimental.
Furthermore, I think it is a good idea for the moment to state that
people have the option to change to motif instead of lesstif. The Debian
wide decision to migrate has not been taken (and again, that should only
be done after the release of Wheezy).

Paul

[1] http://bugs.debian.org/623643

[signature.asc (application/pgp-signature, attachment)]

Owner recorded as Paul Gevers <elbrus@debian.org>. Request was from Paul Gevers <elbrus@debian.org> to control@bugs.debian.org. (Fri, 04 Jan 2013 21:00:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: openmotif -- Open Motif' from 'O: openmotif -- Open Motif' Request was from Paul Gevers <elbrus@debian.org> to control@bugs.debian.org. (Fri, 04 Jan 2013 21:00:07 GMT) Full text and rfc822 format available.

Outlook recorded from message bug 695130 message Request was from Paul Gevers <elbrus@debian.org> to control@bugs.debian.org. (Fri, 04 Jan 2013 21:00:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695130; Package wnpp. (Sun, 06 Jan 2013 14:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <elbrus@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 06 Jan 2013 14:45:06 GMT) Full text and rfc822 format available.

Message #56 received at 695130@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: Graham Inggs <graham@nerve.org.za>
Cc: 695130@bugs.debian.org, BERTRAND Joël <joel.bertrand@systella.fr>
Subject: First commits in git repository on Alioth [ Was: Re: openmotif is now LGPL, retirement of lesstif in jessie?]
Date: Sun, 06 Jan 2013 15:44:22 +0100
[Message part 1 (text/plain, inline)]
Hi Graham and Joël,

[ Graham, should I drop direct e-mail to you, i.e. do you receive the
mail via the PTS anyway? ]

As you might have seen, I set up a git repository on Alioth [1], with a
link to it from the PTS [2]. I used "git import-dscs" to get a proper
history of (open)motif, at least as far as available from snapshot.d.o.
Future tar balls should be imported by using "git import-orig"

> Paul: I saw your mail regarding my request to join collab-maint, thanks.

It seems you don't have access yet, I fear, see below.

> Besides my packaging of motif 2.3.4 I made available here:
> https://launchpad.net/~ginggs/+archive/ppa/

I looked at your work, and it looks good. I have several minor
questions/remarks.
- Did you make any changes to be able to upgrade the standard version
  (I always note the changes in the changelog, even if there are none)
- Do I understand correctly that you replaced autotools by a dependency
  on dh_autoconf? (Please note these things in the changelog).
- Could we propose a configuration flag for the demo stuff, so that
  upstream can keep track of the demo programs and we don't have to
  patch the source?
- My fix [3] for "format not a string literal and no format arguments"
  is slightly different for sprintf cases. Shouldn't it be better to
  replace the sprintf by a simple strcpy?
- d/motif-client.links is not useful now, I suggest you remove it.
- I like to reduce the amount of lintian warnings as well. I will
  propose some fixes later.
- I was thinking that it might be a good idea to ship the three
  libraries in separate packages, so that we fulfill policy 8.1 and get
  lintian happy on that point.

I would like you to do the git push of the 2.3.4 stuff. Do you want to
wait until you have access to collab-maint, or do you want me to commit
your changes, and contribute my changes as well?

Paul

[1] http://anonscm.debian.org/gitweb/?p=collab-maint/motif.git
[2] http://packages.qa.debian.org/o/openmotif.html
[3]
http://anonscm.debian.org/gitweb/?p=collab-maint/motif.git;a=blob;f=debian/patches/0005-sprintf-error-message-hardening-format-security.patch;h=ccd948b732ac1d712fff94b98c1dea031e2d8401;hb=ebb1dcb10b5cf9192886b5c27f5d89706b7a4606

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Paul Gevers <elbrus@debian.org>:
Bug#695130; Package wnpp. (Mon, 07 Jan 2013 06:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Graham Inggs <graham@nerve.org.za>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Paul Gevers <elbrus@debian.org>. (Mon, 07 Jan 2013 06:51:03 GMT) Full text and rfc822 format available.

Message #61 received at 695130@bugs.debian.org (full text, mbox):

From: Graham Inggs <graham@nerve.org.za>
To: Paul Gevers <elbrus@debian.org>
Cc: BERTRAND Joël <joel.bertrand@systella.fr>, 695130@bugs.debian.org
Subject: Re: First commits in git repository on Alioth [ Was: Re: openmotif is now LGPL, retirement of lesstif in jessie?]
Date: Mon, 7 Jan 2013 08:20:26 +0200
[Message part 1 (text/plain, inline)]
On 6 January 2013 16:44, Paul Gevers <elbrus@debian.org> wrote:

> [ Graham, should I drop direct e-mail to you, i.e. do you receive the
> mail via the PTS anyway? ]
>

I'm receiving bug mail via the PTS for openmotif, but I don't think for
this (695130) bug.

- Did you make any changes to be able to upgrade the standard version
>   (I always note the changes in the changelog, even if there are none)
>

No changes.


> - Do I understand correctly that you replaced autotools by a dependency
>   on dh_autoconf? (Please note these things in the changelog).
>

I replaced the dependency on autotools-dev with one on dh-autoreconf.


> - Could we propose a configuration flag for the demo stuff, so that
>   upstream can keep track of the demo programs and we don't have to
>   patch the source?
>

That makes sense.  I'll see if I can come up with a suitable patch to
configure.ac.


> - My fix [3] for "format not a string literal and no format arguments"
>   is slightly different for sprintf cases. Shouldn't it be better to
>   replace the sprintf by a simple strcpy?
>

I don't mind.  I suppose the only reason to stay with sprintf would be one
of style.
If upstream decided to make MSG__0113 (referred to in the first change in
line 267 of lib/Mrm/Mrmhier.c) more informative by changing "Could not open
buffer - UID version mismatch" to "Could not open buffer - UID version
mismatch (%d)" then they would have to use sprintf instead of strcpy.

- d/motif-client.links is not useful now, I suggest you remove it.
>

Ah, thanks!

Do you need me to upload the above changes to my PPA?


> I would like you to do the git push of the 2.3.4 stuff. Do you want to
> wait until you have access to collab-maint, or do you want me to commit
> your changes, and contribute my changes as well?
>

Please go ahead and commit my changes as well as any others as you see fit.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695130; Package wnpp. (Mon, 07 Jan 2013 21:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <elbrus@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 07 Jan 2013 21:15:06 GMT) Full text and rfc822 format available.

Message #66 received at 695130@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: Graham Inggs <graham@nerve.org.za>
Cc: BERTRAND Joël <joel.bertrand@systella.fr>, 695130@bugs.debian.org
Subject: Re: First commits in git repository on Alioth [ Was: Re: openmotif is now LGPL, retirement of lesstif in jessie?]
Date: Mon, 07 Jan 2013 22:12:54 +0100
[Message part 1 (text/plain, inline)]
On 07-01-13 07:20, Graham Inggs wrote:
> On 6 January 2013 16:44, Paul Gevers <elbrus@debian.org
> <mailto:elbrus@debian.org>> wrote:
> 
>     [ Graham, should I drop direct e-mail to you, i.e. do you receive the
>     mail via the PTS anyway? ]
> 
> 
> I'm receiving bug mail via the PTS for openmotif, but I don't think for
> this (695130) bug.

Right, I forgot this bug is a wnpp bug, and not an openmotif bug.

>     - My fix [3] for "format not a string literal and no format arguments"
>       is slightly different for sprintf cases. Shouldn't it be better to
>       replace the sprintf by a simple strcpy?
> 
> 
> I don't mind.  I suppose the only reason to stay with sprintf would be
> one of style.
> If upstream decided to make MSG__0113 (referred to in the first change
> in line 267 of lib/Mrm/Mrmhier.c) more informative by changing "Could
> not open buffer - UID version mismatch" to "Could not open buffer - UID
> version mismatch (%d)" then they would have to use sprintf instead of
> strcpy.

I completely agree, as that is what I did to start with, but after a
discussion with a programmer friend, also agree with the "abuse" of
sprintf for mere string copying. I don't mind leaving your patch as is,
but I do appreciate a note in the upstream bug tracker. But I can add
that myself.

> Do you need me to upload the above changes to my PPA?

No, I rather have it that you (just) commit the changes to the Alioth
git repository, and I will pull from there. I got a note that you now
have access.

>     I would like you to do the git push of the 2.3.4 stuff. Do you want to
>     wait until you have access to collab-maint, or do you want me to commit
>     your changes, and contribute my changes as well?
> 
> 
> Please go ahead and commit my changes as well as any others as you see fit.

You have access yourself now, could you please try yourself? I don't
mind doing it, but I like to see you handle this as well. If done
properly, it is the easiest way for work together. You can make an
Ubuntu branch (probably naming it after the current Ubuntu branch) if
you like as well, branching at the right locations. Just make sure your
commits regarding changelogs are correct.

Paul

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Paul Gevers <elbrus@debian.org>:
Bug#695130; Package wnpp. (Wed, 09 Jan 2013 18:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Graham Inggs <graham@nerve.org.za>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Paul Gevers <elbrus@debian.org>. (Wed, 09 Jan 2013 18:45:05 GMT) Full text and rfc822 format available.

Message #71 received at 695130@bugs.debian.org (full text, mbox):

From: Graham Inggs <graham@nerve.org.za>
To: Paul Gevers <elbrus@debian.org>
Cc: BERTRAND Joël <joel.bertrand@systella.fr>, 695130@bugs.debian.org
Subject: Re: First commits in git repository on Alioth [ Was: Re: openmotif is now LGPL, retirement of lesstif in jessie?]
Date: Wed, 9 Jan 2013 20:42:04 +0200
[Message part 1 (text/plain, inline)]
On 7 January 2013 23:12, Paul Gevers <elbrus@debian.org> wrote:

> You have access yourself now, could you please try yourself? I don't
> mind doing it, but I like to see you handle this as well. If done
> properly, it is the easiest way for work together. You can make an
> Ubuntu branch (probably naming it after the current Ubuntu branch) if
> you like as well, branching at the right locations. Just make sure your
> commits regarding changelogs are correct.
>

I have some study commitments for the next couple of days, but will try to
get up to speed with the Alioth git repository after that.

In the meantime, I have submitted a patch upstream to add a configure
option to disable the building of demos:
http://bugs.motifzone.net/show_bug.cgi?id=1575
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695130; Package wnpp. (Sun, 13 Jan 2013 09:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <elbrus@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 13 Jan 2013 09:15:03 GMT) Full text and rfc822 format available.

Message #76 received at 695130@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: Graham Inggs <graham@nerve.org.za>, 695130@bugs.debian.org
Subject: License of debian/* stuff
Date: Sun, 13 Jan 2013 10:13:30 +0100
[Message part 1 (text/plain, inline)]
Hi Graham,

Motif is licensed under LGPL-2+. Could you consider licensing our
packaging effort under the same license terms? That would make e.g. the
uploading of patches to upstream a lot easier.

Paul


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Paul Gevers <elbrus@debian.org>:
Bug#695130; Package wnpp. (Mon, 14 Jan 2013 22:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Graham Inggs <graham@nerve.org.za>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Paul Gevers <elbrus@debian.org>. (Mon, 14 Jan 2013 22:21:05 GMT) Full text and rfc822 format available.

Message #81 received at 695130@bugs.debian.org (full text, mbox):

From: Graham Inggs <graham@nerve.org.za>
To: 695130@bugs.debian.org
Subject: Re: License of debian/* stuff
Date: Tue, 15 Jan 2013 00:18:31 +0200
[Message part 1 (text/plain, inline)]
Hi Paul

I have no objections.


On 13 January 2013 11:13, Paul Gevers <elbrus@debian.org> wrote:

> Hi Graham,
>
> Motif is licensed under LGPL-2+. Could you consider licensing our
> packaging effort under the same license terms? That would make e.g. the
> uploading of patches to upstream a lot easier.
>
> Paul
>
>
>
[Message part 2 (text/html, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 19 Feb 2013 07:18:04 GMT) Full text and rfc822 format available.

Reply sent to Paul Gevers <elbrus@debian.org>:
You have taken responsibility. (Sat, 25 May 2013 12:24:23 GMT) Full text and rfc822 format available.

Notification sent to Michael Stapelberg <stapelberg@debian.org>:
Bug acknowledged by developer. (Sat, 25 May 2013 12:24:23 GMT) Full text and rfc822 format available.

Message #88 received at 695130-done@bugs.debian.org (full text, mbox):

From: Paul Gevers <elbrus@debian.org>
To: 691393-done@bugs.debian.org, 688870-done@bugs.debian.org, 687483-done@bugs.debian.org, 623645-done@bugs.debian.org, 635960-done@bugs.debian.org, 695130-done@bugs.debian.org
Subject: Fwd: motif_2.3.4-2_amd64.changes ACCEPTED into unstable, unstable
Date: Sat, 25 May 2013 14:20:27 +0200
[Message part 1 (text/plain, inline)]
Package: motif
Version: 2.3.4-2

I should have build 2.3.4-2 with -v option, to include the 2.3.4-1 bug
closes, but anyway, here it goes:

motif (2.3.4-1) experimental; urgency=low

  [ Graham Inggs ]
  * New upstream (Closes: #691393).
  * Rename source package from openmotif to motif.
  * Move from non-free since motif is now LGPL.
  * Update debian/watch.
  * Upgrade to source format 3.0 (quilt) (Closes: #688870)
    - Updated all patches
  * Switch to compatibility level 9.
  * Convert d/rules to dh(1).
  * Update Homepage URL (Closes: #687483)
  * Don't build demos by adding disable option and drop patches against
them.
  * Build with --disable-printing and drop Xprint dependency (Closes:
#623645).
  * Provide backwards compatibility with libmotif3 (Closes: #635960,
    LP: #818220).
  * Provide display manager entry for Motif Window Manager (LP: #310895)
  * Relocate non-library files from /usr/lib/X11 to /usr/share/X11
  * Update d/control
    - Split non-library files into arch-independent libmotif-common
    - Split uil from libmotif-dev into its own multi-arch: foreign package

  [ Paul Gevers ]
  * Team adoption of (open)motif (Closes: #695130)
  * Remove spurious spaces from d/changelog
  * Completely rewritten copyright file to comply with machine parseble
format.
  * Fix several man-page errors in d/rules during install
  * Clean up lintian overrides
  * Update standards-version to 3.9.4 (no changes needed)
  * Update d/control (partial review by d-l10n-english)
    - Create transitional package motif-client due to rename to mwm
    - Split libmotif4 into libMrm4, libUil4 and libXm4 so package names
match
      library soname
  * Add symbol files for all three library packages
  * Add several patches (thanks lintian):
    - 07-fix_lintian_reported_manpage_typos.patch to fix some typos in
man pages
    - 08-fix_hyphen_in_man_pages.patch to fix ambigous hyphen use
    - 09-fix_typo_in_libxm.patch to fix a double misspelling in libxm
    - 10-fix_manpage-has-bad-whatis-entry.patch to add missing name in NAME
      section
  * Add README.Debian for libxm4 to explain the printing situation
  * Add RELNOTES to libmotif-dev

 -- Paul Gevers <elbrus@debian.org>  Mon, 18 Feb 2013 20:33:01 +0100


-------- Original Message --------
Subject: motif_2.3.4-2_amd64.changes ACCEPTED into unstable, unstable
Date: Sat, 25 May 2013 12:00:11 +0000
From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: Graham Inggs <graham@nerve.org.za>, Paul Gevers <elbrus@debian.org>



Accepted:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 24 May 2013 19:15:28 +0200
Source: motif
Binary: libmotif-common libmrm4 libuil4 libxm4 uil libmotif4-dbg
libmotif-dev mwm motif-clients libmotif4
Architecture: source all amd64
Version: 2.3.4-2
Distribution: unstable
Urgency: low
Maintainer: Graham Inggs <graham@nerve.org.za>
Changed-By: Paul Gevers <elbrus@debian.org>
Description:
 libmotif-common - Motif - common files
 libmotif-dev - Motif - development files
 libmotif4  - Motif - shared libraries (transitional package)
 libmotif4-dbg - Motif - debugging symbols
 libmrm4    - Motif - MRM (Motif Resource Manager) shared library
 libuil4    - Motif - UIL (User Interface Language) shared library
 libxm4     - Motif - X/Motif shared library
 motif-clients - Motif Window Manager (transitional package)
 mwm        - Motif Window Manager
 uil        - Motif - UIL (User Interface Language) compiler
Changes:
 motif (2.3.4-2) unstable; urgency=low
 .
   [ Graham Inggs ]
   * Fix buffer overrun in lib/Xm/FontS.c.
   * Build Motif with JPEG and PNG support.
   * Fix underlinking of libXt, libXext and libX11.
   * Relocate MWMRCDIR to /etc/X11/mwm.
   * Add custom Unity Greeter badge for MWM.
   * Fix hardcoded path to /usr/lib/X11/rgb.txt in lib/Xm/ColorS.c.
   * Build Motif with Xft anti-aliased fonts support.
   * Link uil executable against libUil.
 .
   [ Paul Gevers ]
   * Update debian/watch, taken from QA.
Checksums-Sha1:
 eb30cac5f3022e80fa0f1860a1ab992f45fe5a33 2043 motif_2.3.4-2.dsc
 49ecfe2a0939232ca78ce318d938044e7f751b6d 9527040 motif_2.3.4.orig.tar.gz
 3f1ed899bcdf2407b3bdc723ac065a39b8e1a163 49240 motif_2.3.4-2.debian.tar.gz
 50bfa1b9168046b40e7648ce36201b1d2de050d9 29086
libmotif-common_2.3.4-2_all.deb
 0bc96878475bf3216df2670c921dd53962b5580a 87876 libmrm4_2.3.4-2_amd64.deb
 efa2446b5be1ab7beb1b61eea3e2b7f0267412c6 192710 libuil4_2.3.4-2_amd64.deb
 fc4c2a68bc9761e0b0218ad20b89e09744ed6d59 1230546 libxm4_2.3.4-2_amd64.deb
 4d68bb0c926006c80eb07862de560bb2467106c8 26724 uil_2.3.4-2_amd64.deb
 7b8606d632480c764b2261c1ebd50b19aa10d159 4713138
libmotif4-dbg_2.3.4-2_amd64.deb
 cc7de3cced90c3e6ab517ce7926c83ba927ddec4 3062988
libmotif-dev_2.3.4-2_amd64.deb
 e11d0ace6851401e7dcd1d0e206be8898b5a2392 204972 mwm_2.3.4-2_amd64.deb
 f949e5fed530e08139cfaf7d9caf07a5be3593d1 21314
motif-clients_2.3.4-2_all.deb
 c85dcb4946f986cfa5f41fb259ecfff8468bd3cc 21340 libmotif4_2.3.4-2_amd64.deb
Checksums-Sha256:
 d19d9a6248637a4c8010549796f8c2bcc7376cc931c3be1caf197bf876dd4de8 2043
motif_2.3.4-2.dsc
 637efa09608e0b8f93465dbeb7c92e58ebb14c4bc1b488040eb79a65af3efbe0
9527040 motif_2.3.4.orig.tar.gz
 7abf0f8b96f0d411e617d1bfc0827986213652625d9946696b91602bde56da0e 49240
motif_2.3.4-2.debian.tar.gz
 014d0b1680534d468930911b10400e4dac0ab4a10f954870ae0c89e1612dce51 29086
libmotif-common_2.3.4-2_all.deb
 49eaac621f930febaeca8ba8a2ca6da3a65eab4b2f5f738f411588914144e8b2 87876
libmrm4_2.3.4-2_amd64.deb
 50a7014551f325ead50ce228a4aee80ebc89a717438a1533068b1e021593cb2d 192710
libuil4_2.3.4-2_amd64.deb
 44a79d47da6e384baae8ed3036ac90619412d237c203d903119d422af57977e8
1230546 libxm4_2.3.4-2_amd64.deb
 d6076964a5bd662af36fb3dc042bd68c2012a1d761785caca9a861fcbe32cf26 26724
uil_2.3.4-2_amd64.deb
 c3f55e1b83a6686fc11f2a91e3b4911dd42c9ba8a79f5d8dcb9bc0a141a94501
4713138 libmotif4-dbg_2.3.4-2_amd64.deb
 0be805d1d54bcb3b8963e469b88f1c6c64bb26d9a05e2d44a8782878a0928519
3062988 libmotif-dev_2.3.4-2_amd64.deb
 df623a52d17592b68a3917d0030181d745d71e3e7bdb151ba4adb7946c07c416 204972
mwm_2.3.4-2_amd64.deb
 2ce3e64bc6a02ee69886cdba8a1e59eda3ccc54d98570f81c1bfb1362c1afaef 21314
motif-clients_2.3.4-2_all.deb
 a6ec362c3c9066b4d3e02c4aafcf0af60f5717c6203e60910011655f714f3cea 21340
libmotif4_2.3.4-2_amd64.deb
Files:
 109b9fa370e9de730e1eb1088283c34f 2043 x11 optional motif_2.3.4-2.dsc
 612bb8127d0d31da6e5474edf8a5c247 9527040 x11 optional
motif_2.3.4.orig.tar.gz
 df8031ed1aca441903aaa1f9f28a6deb 49240 x11 optional
motif_2.3.4-2.debian.tar.gz
 24b89f54250ff74643027b1bd47ff9f9 29086 libs optional
libmotif-common_2.3.4-2_all.deb
 494f840da9755e499a7566b5bbc1a5df 87876 libs optional
libmrm4_2.3.4-2_amd64.deb
 ab3bdf2bf69a2d40a4c564b1351df9b8 192710 libs optional
libuil4_2.3.4-2_amd64.deb
 2ebbbafe67f79892f402144f04f49c16 1230546 libs optional
libxm4_2.3.4-2_amd64.deb
 0c5a6d43db6305c0c0adf61fa5167521 26724 devel optional uil_2.3.4-2_amd64.deb
 5143b00a237c96e9e4f21bdd0ca1ae57 4713138 debug extra
libmotif4-dbg_2.3.4-2_amd64.deb
 7a1c3997dc0ed9f7b1ec685b180b9a3a 3062988 libdevel optional
libmotif-dev_2.3.4-2_amd64.deb
 9e025bbd7b49a426f7bcc4f32ffeb276 204972 x11 optional mwm_2.3.4-2_amd64.deb
 a2cf4e619df8c4eb70b4eba621f35212 21314 oldlibs extra
motif-clients_2.3.4-2_all.deb
 730b419bdc767ee7b5bd3baa0816f961 21340 oldlibs extra
libmotif4_2.3.4-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJRn7HTAAoJEJxcmesFvXUKtVsH/0gp/euTOl/+e8dY0IqNvMez
Wy9Bh1wugwxEHNBRcwhVPMJuKGIglCXfeTyoBA5KFEIsHQ/iGBVqVQbEtrUiCYod
LMdtNl7gEWO0ifEiWm4zEN4w0f90FpgMW5GHiHDTR1ZtuLuKENZOtbu/4+qnPyIP
A64voCK3leJJive4sfW333OnLy6YjGR8YeHf0Zp2H5wkaJuB884Q2y+U1W3rfHEc
+WBweqXff9WrYa27BaYHroBXpcnqs4ZKCEDM+/qxv5WZjxmE6R9vrxroRqusAiA0
o1RYKg4fLyAkPAzu3Fx7xCC1YFX4rYvp/YoLMOUY2VEVKSs2nJqdj6AulStdlbI=
=tKQr
-----END PGP SIGNATURE-----


Thank you for your contribution to Debian.


[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 23 Jun 2013 07:29:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:14:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.